Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.uimacpp
Class CppUimajEngine

    java.lang.Object
      org.apache.uima.uimacpp.CppUimajEngine

    public class CppUimajEngine

extends Object

Constructor Summary
`CppUimajEngine()`

Method Summary
`int` | `batchProcessComplete()`
`int` | `collectionProcessComplete()`
`int` | `destroy()`
`protected void` | `finalize()`
`byte[]` | `getByteHeap()`
`int[]` | `getHeap()`
`int[]` | `getIndexedFSs()`
`String` | `getLastExceptionString()`
`long[]` | `getLongHeap()`
`short[]` | `getShortHeap()`
`String[]` | `getStringTable()`
`static String` | `getVersion()`
`int` | `initialize(String config, String dataPath, int[] typeInheritance, int[] typePriorities, int[] featureDefs, int[] featureOffset, String[] typeNames, String[] featureNames, int[] stringSubTypes, String[] stringSubTypeValues, int[] stringSubTypeValuePos, String[] indexIDs, int[] indexKinds, int[] compStarts, int[] compDefs)`
`int` | `process(String doc, int[] heapArray, int[] fsIndex, String[] stringTable, int[] resultSpecTypes, int[] resultSpecFeatures, int sofaNum, byte[] aByteHeapArray, short[] aShortHeapArray, long[] aLongHeapArray)`
`String` | `resolveImports(String inDesc, String dataPath)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CppUimajEngine

    public CppUimajEngine()

Method Detail

### initialize

    public int initialize(String config,
                          String dataPath,
                          int[] typeInheritance,
                          int[] typePriorities,
                          int[] featureDefs,
                          int[] featureOffset,
                          String[] typeNames,
                          String[] featureNames,
                          int[] stringSubTypes,
                          String[] stringSubTypeValues,
                          int[] stringSubTypeValuePos,
                          String[] indexIDs,
                          int[] indexKinds,
                          int[] compStarts,
                          int[] compDefs)

### process

    public int process(String doc,
                       int[] heapArray,
                       int[] fsIndex,
                       String[] stringTable,
                       int[] resultSpecTypes,
                       int[] resultSpecFeatures,
                       int sofaNum,
                       byte[] aByteHeapArray,
                       short[] aShortHeapArray,
                       long[] aLongHeapArray)

### getHeap

    public int[] getHeap()

### getIndexedFSs

    public int[] getIndexedFSs()

### getStringTable

    public String[] getStringTable()

### getByteHeap

    public byte[] getByteHeap()

### getShortHeap

    public short[] getShortHeap()

### getLongHeap

    public long[] getLongHeap()

### destroy

    public int destroy()

### batchProcessComplete

    public int batchProcessComplete()

### collectionProcessComplete

    public int collectionProcessComplete()

### resolveImports

    public String resolveImports(String inDesc,
                                 String dataPath)

### finalize

    protected void finalize()
                     throws Throwable

  Overrides:
    `finalize` in class `Object`
  Throws:
    `Throwable`

### getLastExceptionString

    public String getLastExceptionString()

### getVersion

    public static String getVersion()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.